## com.imcode.imcms.api
Class UrlDocument

    java.lang.Object
      com.imcode.imcms.api.Document
          com.imcode.imcms.api.UrlDocument

All Implemented Interfaces:
  java.io.Serializable

    public class UrlDocument

extends Document

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class com.imcode.imcms.api.Document
`Document.Comparator, Document.LifeCyclePhase, Document.PublicationStatus`

Field Summary
`static int` `TYPE_ID`

Fields inherited from class com.imcode.imcms.api.Document
`STATUS_NEW, STATUS_PUBLICATION_APPROVED, STATUS_PUBLICATION_DISAPPROVED`

Method Summary
`java.lang.String` `getUrl()`
`void` `setUrl(java.lang.String url)`

Methods inherited from class com.imcode.imcms.api.Document

`addCategory, addSection, equals, getAlias, getArchivedDatetime, getCategories, getCategoriesOfType, getCreatedDatetime, getCreator, getDocumentPermissionSetForUser, getHeadline, getId, getKeywords, getLanguage, getMenuImageURL, getMenuText, getModifiedDatetime, getName, getPermissionSetIdForRole, getPermissionSetRestrictedOne, getPermissionSetRestrictedTwo, getPermissionSetTypeForRole, getPublicationEndDatetime, getPublicationStartDatetime, getPublicationStatus, getPublisher, getRolesMappedToPermissions, getSections, getStatus, getTarget, hashCode, isActive, isArchived, isLinkableByOtherUsers, isPublished, isSearchDisabled, isVisibleInMenusForUnauthorizedUsers, removeCategory, setAlias, setArchivedDatetime, setCreator, setHeadline, setKeywords, setLanguage, setLinkableByOtherUsers, setMenuImageURL, setMenuText, setModifiedDatetime, setPermissionSetIdForRole, setPermissionSetTypeForRole, setPublicationEndDatetime, setPublicationStartDatetime, setPublicationStatus, setPublisher, setSearchDisabled, setSections, setStatus, setVisibleInMenusForUnauthorizedUsers`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TYPE_ID

    public static final int TYPE_ID

See Also:
  Constant Field Values

Method Detail

### setUrl

    public void setUrl(java.lang.String url)

### getUrl

    public java.lang.String getUrl()